import request from '@/utils/request'

// 查询5s管理附件列表
export function listFile(query) {
  return request({
    url: '/production/file/list',
    method: 'get',
    params: query
  })
}

// 查询5s管理附件详细
export function getFile(id) {
  return request({
    url: '/production/file/' + id,
    method: 'get'
  })
}

// 新增5s管理附件
export function addFile(data) {
  return request({
    url: '/production/file',
    method: 'post',
    data: data
  })
}

// 修改5s管理附件
export function updateFile(data) {
  return request({
    url: '/production/file',
    method: 'put',
    data: data
  })
}

// 删除5s管理附件
export function delFile(id) {
  return request({
    url: '/production/file/' + id,
    method: 'delete'
  })
}

// 导出5s管理附件
export function exportFile(query) {
  return request({
    url: '/production/file/export',
    method: 'get',
    params: query
  })
}